> ## Documentation Index
> Fetch the complete documentation index at: https://docs.reporta.ng/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Submission

> Get a submission by ID



## OpenAPI

````yaml GET /reports/submissions/{id}
openapi: 3.0.1
info:
  title: Fraud Report API
  description: API to report suspected activity
  version: 1.0.0
servers: []
security: []
paths:
  /reports/submissions/{id}:
    get:
      description: Get a submission by ID
      parameters:
        - name: id
          in: path
          description: ID of submission to get
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Report fetched successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  message:
                    type: string
                  data:
                    type: object
                    properties:
                      report:
                        type: object
                        properties:
                          id:
                            type: string
                          companyId:
                            type: string
                          userId:
                            type: string
                            nullable: true
                          listingStatus:
                            type: string
                          exitedListAt:
                            type: string
                            nullable: true
                          exitListReason:
                            type: string
                            nullable: true
                          fraudType:
                            type: string
                          fraudReason:
                            type: string
                          showUploaderInfo:
                            type: boolean
                          attachments:
                            type: array
                            items:
                              type: string
                          status:
                            type: string
                          createdAt:
                            type: string
                            format: date-time
                          updatedAt:
                            type: string
                            format: date-time
                          reportingCompany:
                            type: object
                            properties:
                              businessName:
                                type: string
                              id:
                                type: string
                          identifiers: 284ebf97-e6f9-4ac2-8956-1660447cec5a
                required:
                  - success
                  - message
                  - data
      security:
        - x-api-key: []
components:
  securitySchemes:
    x-api-key:
      type: apiKey
      in: header
      name: x-api-key

````